#
# spec file for package bzip (Version 1.0.1)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libtool
# usedforbuild    aaa_base aaa_dir base bash bindutil bison compress cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam perl rpm

Name:         bzip
Copyright:    1996,1997 Julian Seward
Group:        Utilities/Archiving 
Provides:     bzip2 
Autoreqprov:  on
Version:      1.0.1
Release:      188
Summary:      Program for compression of files
Url:          http://sourceware.cygnus.com/bzip2/index.html
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source:       ftp://sourceware.cygnus.com/pub/bzip2/v100/bzip2-%{version}.tar.gz
Patch:        bzip2-1.0.0.dif
Patch1:       bzip2-%{version}-sec.dif

%description
Bzip is a very powerful program for compressing files.

Authors:
--------
    Julian Seward <jseward@acm.org>

SuSE series: a

%prep
%setup -q -n bzip2-%{version}
%patch
%patch1

%build
# -mcpu=pentiumpro just selects things like scheduling and does a
# a much better job optimizing for i686 while it should not hurt
# much on non-pentiumpro CPUs, -mcpu also controls the
# -malign options, so there is no need to specify them in addition.
# (outcome of some mails caused by bzip with garloff,pthomas and jh)
# The %{ix86} should also mach if we would change arch to an other
# ix86-known value (see /usr/lib/rpm/macros)
make CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64 \
%ifarch %{ix86}
    -mcpu=pentiumpro \
%endif
-Wall -Winline -fomit-frame-pointer -fno-strength-reduce" libdir=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT install libdir=%{_libdir}
gzip manual.ps

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README LICENSE CHANGES manual.ps.gz manual*.html
%{_bindir}/*
%{_libdir}/libbz2.a
%{_libdir}/libbz2.la
%{_libdir}/libbz2.so
%{_libdir}/libbz2.so.1
%{_libdir}/libbz2.so.1.0.0
%{_mandir}/man1/*
/usr/include/bzlib.h

%changelog -n bzip
* Thu Jul 25 2002 - tcrhak@suse.cz
- security fix:
- do not overwrite files without warning
- avoid race condition between creating file and setting permissions
- correct permissions when compressing a file
  pointed to by a symbolic link
* Thu Mar 08 2001 - nadvornik@suse.cz
- re-added /usr/include/bzlib.h
* Thu Mar 08 2001 - bk@suse.de
- Replaced the -malign options with -mcpu=pentiumpro
* Tue Mar 06 2001 - bk@suse.de
- add version info to libbz2 link to fix the library version number
- if i386, add -malign-loops=2 -malign-jumps=2 -malign-functions=2
* Thu Nov 30 2000 - aj@suse.de
- New version, compile with LFS support.
* Tue Oct 03 2000 - kukuk@suse.de
- Set libdir for 64bit architectures
* Mon May 22 2000 - nadvornik@suse.cz
- update to 1.0.0
* Wed Apr 26 2000 - nadvornik@suse.cz
- changed Group
* Mon Apr 10 2000 - nadvornik@suse.cz
- added URL
* Tue Apr 04 2000 - nadvornik@suse.cz
- fixed to compile
* Mon Apr 03 2000 - bk@suse.de
- added libbz2 shared library support for s390
* Thu Mar 02 2000 - fehr@suse.de
- moved man pages to /usr/share/man
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Sep 13 1999 - fehr@suse.de
- update to 0.9.5d
* Thu Jul 01 1999 - ro@suse.de
- update to 0.9.0c
* Fri Sep 18 1998 - ro@suse.de
- update to 0.9.0b (including libbz2 and bzlib.h)
* Thu Oct 30 1997 - fehr@suse.de
- add bzip package to S.u.S.E. distribution
